document.addEventListener('DOMContentLoaded', function() {
    var exportButton = document.getElementById('tlt-export-csv-button');
    var tltPopup = null; // Initialize popup variable

    if (exportButton) {
        exportButton.addEventListener('click', function(event) {
            event.preventDefault();
            var tltNonce = tltEditorExportCsvData.tltEditorExportCsvNonce;

            // Show loading popup
            showPopup('<div class="popup-content">Exporting...</div>');

            // Perform AJAX CSV export here
            var xhr = new XMLHttpRequest();
            xhr.open('GET', ajaxurl + '?action=export_csv&nonce=' + tltNonce + '&export_csv=1', true);
            xhr.onreadystatechange = function() {
                if (xhr.readyState === XMLHttpRequest.DONE) {
                    if (xhr.status === 200) {
                        hidePopup();
                        // Trigger the download
                        var blob = new Blob([xhr.responseText], { type: 'text/csv' });
                        var url = window.URL.createObjectURL(blob);
                        var a = document.createElement('a');
                        a.href = url;
                        a.download = 'translations.csv';
                        a.click();
                        window.URL.revokeObjectURL(url);                           
                    } else {
                        // Show error popup
                        updatePopup('<div class="popup-content">Export failed</div>', 3000);
                    }
                }
            };
            xhr.send();
        });
    }

    function showPopup(content) {
        if (!tltPopup) {
            // If popup doesn't exist, create a new one
            tltPopup = document.createElement('div');
            tltPopup.classList.add('tlt-popup');
            document.body.appendChild(tltPopup);
        }
        tltPopup.innerHTML = content;
        tltPopup.classList.remove('hide');
    }
    function updatePopup(content, timeout) {
        if (tltPopup) {
            tltPopup.innerHTML = content;
            setTimeout(function () {
                hidePopup();
            }, timeout);
        }
    }
    function hidePopup() {
        if (tltPopup) {
            tltPopup.classList.add('hide');
            setTimeout(function () {
                if (tltPopup.parentNode) {
                    tltPopup.parentNode.removeChild(tltPopup);
                }
                tltPopup = null; // Set popup to null after removing it
            }, 500);
        }
    }
});