document.addEventListener('DOMContentLoaded', function() {
    // Handle click event for the clickable row
    var tltClickableRows = document.querySelectorAll('.tlt-row.tlt-clickable');
    
    tltClickableRows.forEach(function(row) {
        var contentExplanation = row.nextElementSibling;
        
        row.addEventListener('click', function() {
            // Toggle the visibility of the directly following content explanation
            contentExplanation.classList.toggle('tlt-hidden');
        });
    });

    // Handle copy CSS function
    var copyLinks = document.querySelectorAll('.tlt-copy-css-link');
    
    for (var i = 0; i < copyLinks.length; i++) {
        copyLinks[i].addEventListener('click', function() {
            var preElement = this.parentNode.querySelector('.tlt-code-block');
            if (!preElement) {
                return;
            }
            var cssText = preElement.textContent.trim();
            var copyMessage = this.parentNode.querySelector('.tlt-copy-message');
            if (!copyMessage) {
                return;
            }
            
            navigator.clipboard.writeText(cssText).then(function() {
                copyMessage.style.display = 'block';
                setTimeout(function() {
                    copyMessage.style.display = 'none';
                }, 2000);
            }).catch(function(error) {
                console.error('Failed to copy CSS to clipboard:', error);
            });
        });
    }

    // Handle flag-drop-down menu
	var flagImage = document.querySelector("#tlt-flag-drop .tlt-flag-drop-header img");
	var flagDropDown = document.querySelector("#tlt-flag-drop .tlt-flag-drop-down");
	if (flagImage && flagDropDown) {
		flagImage.addEventListener("click", function(event) {
			event.stopPropagation();
			flagDropDown.classList.toggle("tlt-drop-active");

			if (flagDropDown.classList.contains("tlt-drop-active")) {
				document.addEventListener("click", handleOutsideClick);
			} else {
				closeDropdown();
			}
		});
        flagDropDown.addEventListener("click", function(event) {
            event.stopPropagation();
        });
	}
	function closeDropdown() {
		flagDropDown.classList.remove("tlt-drop-active");
		document.removeEventListener("click", handleOutsideClick);
	}
	function handleOutsideClick(event) {
		if (!flagImage.contains(event.target) && !flagDropDown.contains(event.target)) {
			closeDropdown();
		}
	}

    // Handle lang-globe-drop menu
	var globeDropHeader = document.querySelector("#tlt-globe-drop .tlt-globe-drop-header");
	var globeDropDown = document.querySelector("#tlt-globe-drop .tlt-globe-drop-down");
	if (globeDropHeader && globeDropDown) {
		globeDropHeader.addEventListener("click", function(event) {
			event.stopPropagation();
			globeDropDown.classList.toggle("tlt-drop-active");

			if (globeDropDown.classList.contains("tlt-drop-active")) {
				document.addEventListener("click", handleOutsideClick2);
			} else {
				closeDropdown2();
			}
		});
        globeDropDown.addEventListener("click", function(event) {
            event.stopPropagation();
        });
	}
	function closeDropdown2() {
		globeDropDown.classList.remove("tlt-drop-active");
		document.removeEventListener("click", handleOutsideClick2);
	}
	function handleOutsideClick2(event) {
		if (!globeDropHeader.contains(event.target) && !globeDropDown.contains(event.target)) {
			closeDropdown2();
		}
	}
});
