<?php
/**
 * 
 * Transposh Language Toolbox Classe Autoloader
 * 
 * @package Transposh_Language_Toolbox
 */

/**
 * Function to autoload the classes of our namespace
 */
spl_autoload_register( 'transposh_language_toolbox_autoloader' );
function transposh_language_toolbox_autoloader( $class ) {
	$namespace = 'Transposh_Language_Toolbox';
	$folder_name = 'includes';
	
	// Check if the class belongs to our namespace
    if ( strpos( $class, $namespace . '\\' ) !== 0 ) {
        return;
    }
	
	// Remove the namespace and build the php file
	$class = str_replace( $namespace . '\\', '', $class ) . '.php';
	
	// Get the parent directory from current folder, it means get path to plugin root directory
	$directory = dirname( plugin_dir_path( __FILE__ ) ); 
	
	// Final class file, require_once the file
	$path = $directory . DIRECTORY_SEPARATOR . $folder_name . DIRECTORY_SEPARATOR . $class;
	if ( file_exists( $path ) ) {
		require_once( $path );
	}
}