<?php
/**
 * Transposh Language Toolbox Constants
 *
 * @package Transposh_Language_Toolbox
 */

define( 'TRANSPOSH_TOOLBOX_TEXT_DOMAIN', 'transposh-language-toolbox' );
define( 'TRANSPOSH_EDITOR_PER_PAGE_OPTION_NAME', 'transposh_language_toolbox_editor_per_page' );
define( 'TRANSPOSH_EDITOR_COLUMNS_FILTER_OPTION_NAME', 'managetransposh_page_transposh-language-toolboxcolumnshidden' );
define( 'TRANSPOSH_TOOLBOX_OPTION_NAME', 'transposh_language_toolbox_settings' );
define( 'TRANSPOSH_TOOLBOX_TP_OPTION_NAME', 'transposh_options' );
define( 'TRANSPOSH_EDITOR_PER_PAGE_DEFAULT', 20 );
define( 'TRANSPOSH_TOOLBOX_PLUGIN_REPOSITORY_URL', 'https://www.omahoung.com/plugins-repository/transposh-language-toolbox/' );
//define( 'TRANSPOSH_TOOLBOX_PLUGIN_REPOSITORY_URL', 'http://127.0.0.1/omahoung/plugins-repository/transposh-language-toolbox/' );
define( 'TRANSPOSH_TOOLBOX_TRANSPOSH_VERSION', tlt_get_transposh_plugin_version() );

/**
 * Get the Transposh plugin version dynamically.
 *
 * @return string|null Plugin version if found, null otherwise.
 */
function tlt_get_transposh_plugin_version() {
    $plugin_file_path = 'transposh-translation-filter-for-wordpress/transposh.php';
    if ( ! function_exists( 'get_plugin_data' ) ) {
        require_once ABSPATH . 'wp-admin/includes/plugin.php';
    }
    $plugin_data = get_plugin_data( WP_PLUGIN_DIR . '/' . $plugin_file_path );
    return isset( $plugin_data['Version'] ) ? $plugin_data['Version'] : null;
}